import 'package:flutter/foundation.dart';
import 'package:intl/intl.dart';

mixin Logging {
  void log(String message) {
    if ( kDebugMode ) {
      DateTime time = DateTime.now();
      print(DateFormat('yyyy-MM-dd HH:mm:ss ').format(time) + message);
    }
  }

  void trace(String message) {
    if ( kDebugMode ) {
      log(message);
    }
  }
}
